tr181-upnp (0.11.5) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Fri, 03 Jan 2025 15:41:14 +0000

tr181-upnp (0.11.4) unstable; urgency=medium

  * - [CDROUTER][UPnP] ConnectionStatus value in NOTIFY event is NOT correctly updated after WAN connectivity Loss

 -- SAH bot <sahbot@softathome.com>  Thu, 28 Nov 2024 11:27:51 +0000

tr181-upnp (0.11.3) unstable; urgency=medium

  * - [UPnP] DUT Not Announced as UPnP Device on LAN Side After HGW IP Update

 -- SAH bot <sahbot@softathome.com>  Thu, 28 Nov 2024 10:49:21 +0000

tr181-upnp (0.11.2) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Tue, 19 Nov 2024 10:55:41 +0000

tr181-upnp (0.11.1) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Sat, 09 Nov 2024 11:40:50 +0000

tr181-upnp (0.11.0) unstable; urgency=medium

  * - Extender advertisement via UPnP/SSDP

 -- SAH bot <sahbot@softathome.com>  Fri, 08 Nov 2024 11:57:05 +0000

tr181-upnp (0.10.18) unstable; urgency=medium

  * - [UPnP-IGD] PCP entries created by UPnP-IGD are not cleared when the UPnP-IGD is disabled

 -- SAH bot <sahbot@softathome.com>  Tue, 05 Nov 2024 12:49:20 +0000

tr181-upnp (0.10.17) unstable; urgency=medium

  * - [tr181-upnp] make it possible to disable ipv6 on upnp

 -- SAH bot <sahbot@softathome.com>  Wed, 02 Oct 2024 18:45:51 +0000

tr181-upnp (0.10.16) unstable; urgency=medium

  * - [UPnP][DSLite] Miniupnpd is using developer's tool as feature

 -- SAH bot <sahbot@softathome.com>  Thu, 19 Sep 2024 06:41:25 +0000

tr181-upnp (0.10.15) unstable; urgency=medium

  * [AppArmor] Create AppAmor profile for plugins

 -- SAH bot <sahbot@softathome.com>  Tue, 10 Sep 2024 07:10:38 +0000

tr181-upnp (0.10.14) unstable; urgency=medium

  * - [tr181-upnp] Add Device.UPnP.Device.Capabilities.

 -- SAH bot <sahbot@softathome.com>  Mon, 09 Sep 2024 13:32:27 +0000

tr181-upnp (0.10.13) unstable; urgency=medium

  * - [UPnP] Closing tr181-upnp doesn't shutdown miniupnpd (fix)

 -- SAH bot <sahbot@softathome.com>  Mon, 09 Sep 2024 10:18:46 +0000

tr181-upnp (0.10.12) unstable; urgency=medium

  * - [UPnP][DSLite] UPnP is not creating PCP instances in a DSLite environment

 -- SAH bot <sahbot@softathome.com>  Thu, 01 Aug 2024 09:54:47 +0000

tr181-upnp (0.10.11) unstable; urgency=medium

  * Better shutdown script

 -- SAH bot <sahbot@softathome.com>  Tue, 23 Jul 2024 07:58:18 +0000

tr181-upnp (0.10.10) unstable; urgency=medium

  * - [CDROUTER][UPNP][REGRESSION] IPv6 Pinholes are not effective. traffic not forwarded

 -- SAH bot <sahbot@softathome.com>  Mon, 15 Jul 2024 14:03:04 +0000

tr181-upnp (0.10.9) unstable; urgency=medium


 -- SAH bot <sahbot@softathome.com>  Mon, 08 Jul 2024 07:52:23 +0000

tr181-upnp (0.10.8) unstable; urgency=medium

  * Do not write NULL bytes to /var/etc/miniupnpd.conf

 -- SAH bot <sahbot@softathome.com>  Wed, 03 Jul 2024 09:57:02 +0000

tr181-upnp (0.10.7) unstable; urgency=medium

  * amx plugin should not run as root user

 -- SAH bot <sahbot@softathome.com>  Tue, 25 Jun 2024 08:24:48 +0000

tr181-upnp (0.10.6) unstable; urgency=medium

  * - [Security][UPnP] Disable NAT-PMP

 -- SAH bot <sahbot@softathome.com>  Mon, 24 Jun 2024 12:21:51 +0000

tr181-upnp (0.10.5) unstable; urgency=medium

  * mod-upnp-miniupnpd: Reload configuration (HOP-3580)
  * - [CDROUTER][UPnP] ConnectionStatus value in NOTIFY event is

 -- SAH bot <sahbot@softathome.com>  Tue, 18 Jun 2024 11:00:09 +0000

tr181-upnp (0.10.4) unstable; urgency=medium

  * UPnP service missing under PersistentConfiguration.Service. param

 -- SAH bot <sahbot@softathome.com>  Thu, 16 May 2024 10:30:18 +0000

tr181-upnp (0.10.3) unstable; urgency=medium

  * - [UPnP] Add global enable [add]

 -- SAH bot <sahbot@softathome.com>  Thu, 02 May 2024 08:15:05 +0000

tr181-upnp (0.10.2) unstable; urgency=medium

  * Make amxb timeouts configurable

 -- SAH bot <sahbot@softathome.com>  Wed, 10 Apr 2024 07:12:20 +0000

tr181-upnp (0.10.1) unstable; urgency=medium

  * Rework TR-181 interface stacks indexing number

 -- SAH bot <sahbot@softathome.com>  Tue, 19 Mar 2024 12:59:17 +0000

tr181-upnp (0.10.0) unstable; urgency=medium

  * Add tr181-device proxy odl files to components

 -- SAH bot <sahbot@softathome.com>  Mon, 05 Feb 2024 16:20:30 +0000

tr181-upnp (0.9.0) unstable; urgency=medium

  * Add tr181-device proxy odl files to components

 -- SAH bot <sahbot@softathome.com>  Wed, 17 Jan 2024 09:31:51 +0000

tr181-upnp (0.8.0) unstable; urgency=medium

  * - [UPnP-IGD] Customize SerialNumber and ModelNumber

 -- SAH bot <sahbot@softathome.com>  Thu, 11 Jan 2024 14:39:08 +0000

tr181-upnp (0.7.1) unstable; urgency=medium

  * - [UPnP] UPnP port mapping automatic cleanup

 -- SAH bot <sahbot@softathome.com>  Thu, 11 Jan 2024 10:32:52 +0000

tr181-upnp (0.7.0) unstable; urgency=medium

  * - [UPnP-IGD] We must be able to customize the configuration of the WAN device

 -- SAH bot <sahbot@softathome.com>  Fri, 15 Dec 2023 09:29:07 +0000

tr181-upnp (0.6.4) unstable; urgency=medium

  * set lla controller as default

 -- SAH bot <sahbot@softathome.com>  Wed, 29 Nov 2023 14:45:52 +0000

tr181-upnp (0.6.3) unstable; urgency=medium

  * - [CD-ROUTER][UPNP][IPv6] UPnP.Device.UPnPIGD needs to be enabled after IPv6 is UP, else it won't work.

 -- SAH bot <sahbot@softathome.com>  Wed, 29 Nov 2023 14:24:17 +0000

tr181-upnp (0.6.2) unstable; urgency=medium

  * All amxm destructors should let top application unloading them

 -- SAH bot <sahbot@softathome.com>  Wed, 08 Nov 2023 07:43:47 +0000

tr181-upnp (0.6.1) unstable; urgency=medium

  * CLONE - Include extensions directory in ODL

 -- SAH bot <sahbot@softathome.com>  Sat, 28 Oct 2023 07:19:53 +0000

tr181-upnp (0.6.0) unstable; urgency=medium

  * [amxrt][no-root-user][capability drop] All amx plugins must be adapted to run as non-root and lmited capabilities

 -- SAH bot <sahbot@softathome.com>  Mon, 16 Oct 2023 10:26:48 +0000

tr181-upnp (0.5.1) unstable; urgency=medium

  *  All applications using sahtrace logs should use default log levels

 -- SAH bot <sahbot@softathome.com>  Fri, 13 Oct 2023 13:46:41 +0000

tr181-upnp (0.5.0) unstable; urgency=medium

  * - [UPnP] UPnP port mapping automatic cleanup

 -- SAH bot <sahbot@softathome.com>  Thu, 28 Sep 2023 14:58:46 +0000

tr181-upnp (0.4.0) unstable; urgency=medium

  * - [UPnP][VZ] Expose custom UPnP parameters

 -- SAH bot <sahbot@softathome.com>  Tue, 05 Sep 2023 13:16:19 +0000

tr181-upnp (0.3.9) unstable; urgency=medium

  * [tr181-upnp] The UPnP doesn't work when behind a CG-NAT or double NAT network

 -- SAH bot <sahbot@softathome.com>  Thu, 24 Aug 2023 14:03:57 +0000

tr181-upnp (0.3.8) unstable; urgency=medium

  * Remove miniupnpd as runtime dependency

 -- SAH bot <sahbot@softathome.com>  Wed, 23 Aug 2023 12:47:19 +0000

tr181-upnp (0.3.7) unstable; urgency=medium

  * Add missing runtime dependency on miniupnpd-amx

 -- SAH bot <sahbot@softathome.com>  Thu, 17 Aug 2023 12:19:07 +0000

tr181-upnp (0.3.6) unstable; urgency=medium

  * - [miniupnpd][TR181-UPNP iGD] When changing the LAN IP address, miniupnpd is not correctly restarted

 -- SAH bot <sahbot@softathome.com>  Thu, 10 Aug 2023 17:50:17 +0000

tr181-upnp (0.3.5) unstable; urgency=medium

  * - [tr181-upnp] addportmapping action failed

 -- SAH bot <sahbot@softathome.com>  Mon, 31 Jul 2023 08:55:03 +0000

tr181-upnp (0.3.4) unstable; urgency=medium

  * - [CDROUTER][UPNP][IPv6] UPnP.Device.UPnPIGD needs to be enabled after IPv6 is UP, else it won't work.

 -- SAH bot <sahbot@softathome.com>  Fri, 23 Jun 2023 10:59:04 +0000

tr181-upnp (0.3.3) unstable; urgency=medium

  * [UPnP] Move back firewall SSDP UDP port 1900 handling from tr181-upnpdiscovery to tr181-upnp

 -- SAH bot <sahbot@softathome.com>  Fri, 23 Jun 2023 09:11:16 +0000

tr181-upnp (0.3.2) unstable; urgency=medium

  * make tr181-upnp compatible with version 2.3.3 of miniupnpd

 -- SAH bot <sahbot@softathome.com>  Wed, 10 May 2023 07:56:44 +0000

tr181-upnp (0.3.1) unstable; urgency=medium

  * - [CDROUTER][UPNP][IPv6]  UPnP.Device.UPnPIGD needs to be enabled after IPv6 is UP, else it won't work.

 -- SAH bot <sahbot@softathome.com>  Tue, 04 Apr 2023 12:49:31 +0000

tr181-upnp (0.3.0) unstable; urgency=medium

  * - [prpl][tr181-upnp] UPnP.Discovery and UPnP.Description are not implemented

 -- SAH bot <sahbot@softathome.com>  Fri, 24 Mar 2023 08:50:56 +0000

tr181-upnp (0.2.4) unstable; urgency=medium

  * [Config] enable configurable coredump generation

 -- SAH bot <sahbot@softathome.com>  Thu, 09 Mar 2023 09:19:52 +0000

tr181-upnp (0.2.3) unstable; urgency=medium

  * Change default controller to UCI
  * Add missing runtime dependency on rpcd

 -- SAH bot <sahbot@softathome.com>  Fri, 03 Mar 2023 15:36:33 +0000

tr181-upnp (0.2.2) unstable; urgency=medium

  * - [prpl][tr181-upnp] miniupnpd doesn't start on lla config

 -- SAH bot <sahbot@softathome.com>  Thu, 12 Jan 2023 11:18:30 +0000

tr181-upnp (0.2.1) unstable; urgency=medium

  * event handler filter uses regexp on string literal

 -- SAH bot <sahbot@softathome.com>  Mon, 09 Jan 2023 09:55:10 +0000

tr181-upnp (0.2.0) unstable; urgency=medium

  * [import-dbg] Disable import-dbg by default for all amxrt plugin

 -- SAH bot <sahbot@softathome.com>  Thu, 05 Jan 2023 11:52:28 +0000

tr181-upnp (0.1.5) unstable; urgency=medium

  * - [UPNP] UPNP plugin must open the relevant ports for UPNP discovery for both ipv4 and IPv6

 -- SAH bot <sahbot@softathome.com>  Mon, 19 Dec 2022 15:59:52 +0000

tr181-upnp (0.1.4) unstable; urgency=medium

  * [Config] coredump generation should be configurable

 -- SAH bot <sahbot@softathome.com>  Fri, 09 Dec 2022 09:32:47 +0000

tr181-upnp (0.1.3) unstable; urgency=medium

  * Add runtime dependency on miniupnp

 -- SAH bot <sahbot@softathome.com>  Thu, 24 Nov 2022 08:25:20 +0000

tr181-upnp (0.1.2) unstable; urgency=medium

  * Opensource component

 -- SAH bot <sahbot@softathome.com>  Mon, 21 Nov 2022 10:59:19 +0000

tr181-upnp (0.1.1) unstable; urgency=medium

  * implement UPnP IGD limited data model

 -- SAH bot <sahbot@softathome.com>  Thu, 25 Aug 2022 08:25:12 +0000

tr181-upnp (0.1.0) unstable; urgency=medium

  * implement UPnP IGD limited data model

 -- SAH bot <sahbot@softathome.com>  Tue, 23 Aug 2022 14:12:50 +0000

tr181-upnp (0.0.0) unstable; urgency=medium

  * Initial version

 -- Boris Vanhoof <boris.vanhoof@softathome.com>  Thu, 18 Aug 2022 15:48:00 +0000
